<template>
  <c-section title-tag="h1" title-text="filters">
    <div class="row">
      <card v-for="news in newsArr" :key="`news_${news.id}`" :news="news"></card>

    </div>
  </c-section>
  
</template>

<script>
  import Card from './Card'
  import CSection from "./CSection/CSection";

  export default {
    name: "Filters",
    components: {CSection, Card },
    data() {
      return {
        newsArr: [
          {
            id: 1,
            date: '2019-06-30T18:09:01+00:00',
            title: 'news 1',
            desc: 'description of news 1',
            img: 'https://media.wsls.com/photo/2017/04/24/Whats%20News%20Today_1493062809311_9576980_ver1.0_1280_720.png',
            link: '#'
          },
          {
            id: 2,
            date: '2018-03-15T18:08:04+00:00',
            title: 'news 2',
            desc: 'description of news 2',
            img: '',
            link: '#'
          },
          {
            id: 3,
            date: '2016-08-22T18:08:04+00:00',
            title: 'news 3',
            desc: 'description of news 3',
            img: 'https://www.ctvnews.ca/polopoly_fs/1.4344128.1553095687!/httpImage/image.png_gen/derivatives/landscape_620/image.png',
            link: '#'
          }
        ]
      }
    }
  }
</script>

<style lang="sass">

</style>